#1395 closed defect (fixed)

MVME5500 BSP Bug fixes and performance upgrade - a stable version

Reported by: feng1 Owned by: Joel Sherrill
Priority: high Milestone: 4.9
Component: bsps Version: 4.9
Severity: critical Keywords:
Cc: joel.sherrill@…, ralf.corsepius@…, strauman@…, thomas.doerfler@…, feng1@… Blocked By:
Blocking:

Description

1) Use the GT_GPP_Value register (0xf104) instead of the
GT_GPP_Interrupt_Cause register (0xf108) to monitor the cause
of the level sensitive interrupts. See irq/BSP_irq.c.
This is an unique solution which solves the major bugs in
the BSP, which especially affects the 1GHz network driver.

2) There is no change in the 100 MHz network driver. Thus,
its performance is still as good as before. Some parameters were fine-tuned in the
1GHz network drivers (e.g. if_wm.c).

3)Enable "PCI Read Agressive Prefetch", "PCI Read Line Agressive Prefetch",
and "PCI Read Multiple Agressive Prefetch" to improve the performance of
the PCI based applications (e.g. 1GHz network driver). See pci/pci_interface.c.
However, performance is driven by applications.

Attachments (2)

mvme5500-rtems4.9.1-20090401.diff (99.1 KB) - added by feng1 on Apr 1, 2009 at 3:43:10 PM.
This is an updated patch. Please discard the previous patch that I sent on 3/20.
mvme5500-rtems4.9.1-20090508.diff (101.3 KB) - added by feng1 on May 8, 2009 at 5:02:46 PM.
This is a most up-to-date patch. Please discard all the patches I sent previously.

Download all attachments as: .zip

Change History (12)

comment:1 Changed on Mar 20, 2009 at 12:34:54 PM by feng1

Summary: Bug fixes and performance upgradeMVME5500 BSP Bug fixes and performance upgrade - a stable version

comment:2 Changed on Mar 20, 2009 at 12:45:21 PM by feng1

attachments.description: This is a stable version of the BSPA patch for the RTEMS4.9.1-mvme5500 BSP : a stable version.

comment:3 Changed on Mar 20, 2009 at 12:49:07 PM by feng1

Cc: feng1@… joel.sherrill@… added

comment:4 Changed on Apr 1, 2009 at 3:33:49 PM by feng1

attachments.filename: mvme5500-rtems4.9.1-20090319.diff

Changed on Apr 1, 2009 at 3:43:10 PM by feng1

This is an updated patch. Please discard the previous patch that I sent on 3/20.

comment:5 Changed on Apr 1, 2009 at 3:43:10 PM by feng1

Owner: changed from Joel Sherrill to feng1

comment:6 Changed on Apr 1, 2009 at 3:47:41 PM by feng1

Cc: Ralf Corsepius added
Owner: changed from feng1 to Joel Sherrill

comment:7 Changed on Apr 1, 2009 at 3:48:36 PM by feng1

Cc: thomas.doerfler added

comment:8 Changed on Apr 1, 2009 at 3:49:51 PM by feng1

Cc: strauman added

Changed on May 8, 2009 at 5:02:46 PM by feng1

This is a most up-to-date patch. Please discard all the patches I sent previously.

comment:9 Changed on May 8, 2009 at 5:26:12 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:10 Changed on May 8, 2009 at 5:26:34 PM by Joel Sherrill

Closing

Note: See TracTickets for help on using tickets.